Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment.cache
Interface DeploymentCacheMBean

All Superinterfaces:
  DeployerMBean, Service, ServiceMBean

All Known Implementing Classes:
  DeploymentCache

public interface DeploymentCacheMBean
extends ServiceMBean, DeployerMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`void` | `deploy(URL url)` Deploys a package identified by a URL
`javax.management.ObjectName` | `getDeployer()`
`javax.management.ObjectName` | `getStore()`
`boolean` | `isDeployed(URL url)` Tells you if a packaged identified by a URL is deployed.
`void` | `setDeployer(javax.management.ObjectName deployerName)`
`void` | `setStore(javax.management.ObjectName storeName)`
`void` | `undeploy(URL url)` Undeploys a package identified by a URL

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### setDeployer

    public void setDeployer(javax.management.ObjectName deployerName)

### getDeployer

    public javax.management.ObjectName getDeployer()

### setStore

    public void setStore(javax.management.ObjectName storeName)

### getStore

    public javax.management.ObjectName getStore()

### deploy

    public void deploy(URL url)
                throws DeploymentException

  Description copied from interface: `DeployerMBean`
  Deploys a package identified by a URL

  Specified by:
    `deploy` in interface `DeployerMBean`
  Parameters:
    `url` - an `URL` value
  Throws:
    `DeploymentException` - Failed to deploy URL.

### undeploy

    public void undeploy(URL url)
                  throws DeploymentException

  Description copied from interface: `DeployerMBean`
  Undeploys a package identified by a URL

  Specified by:
    `undeploy` in interface `DeployerMBean`
  Parameters:
    `url` - an `URL` value
  Throws:
    `DeploymentException` - Failed to undeploy URL.

### isDeployed

    public boolean isDeployed(URL url)

  Description copied from interface: `DeployerMBean`
  Tells you if a packaged identified by a URL is deployed.

  Specified by:
    `isDeployed` in interface `DeployerMBean`
  Parameters:
    `url` - an `URL` value
  Returns:
    a `boolean` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.